[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / CreateNamespaceOptions

# Interface: CreateNamespaceOptions

## Properties

### mode?

```ts
optional mode: "overwrite" | "create" | "exist_ok";
```

Creation mode.

***

### properties?

```ts
optional properties: Record<string, string>;
```

Properties to set on the new namespace.
